JUCE: ARAAudioSourceListener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARAAudioSourceListener Class Reference
juce_audio_processors » utilities

A base class for listeners that want to know about changes to an ARAAudioSource object. More...

`#include <juce_ARAModelObjects.h>`

Inheritance diagram for ARAAudioSourceListener:

## Public Member Functions
virtual | ~ARAAudioSourceListener ()=default
| Destructor.
virtual void | willUpdateAudioSourceProperties (ARAAudioSource *audioSource, ARA::PlugIn::PropertiesPtr< ARA::ARAAudioSourceProperties > newProperties)
| Called before the audio source's properties are updated.
virtual void | didUpdateAudioSourceProperties (ARAAudioSource *audioSource)
| Called after the audio source's properties are updated.
virtual void | doUpdateAudioSourceContent (ARAAudioSource *audioSource, ARAContentUpdateScopes scopeFlags)
| Called when the audio source's content (i.e.
virtual void | didUpdateAudioSourceAnalysisProgress (ARAAudioSource *audioSource, ARA::ARAAnalysisProgressState state, float progress)
| Called to notify progress when an audio source is being analyzed.
virtual void | willEnableAudioSourceSamplesAccess (ARAAudioSource *audioSource, bool enable)
| Called before access to an audio source's samples is enabled or disabled.
virtual void | didEnableAudioSourceSamplesAccess (ARAAudioSource *audioSource, bool enable)
| Called after access to an audio source's samples is enabled or disabled.
virtual void | willDeactivateAudioSourceForUndoHistory (ARAAudioSource *audioSource, bool deactivate)
| Called before an audio source is activated or deactivated when being removed / added from the host's undo history.
virtual void | didDeactivateAudioSourceForUndoHistory (ARAAudioSource *audioSource, bool deactivate)
| Called after an audio source is activated or deactivated when being removed / added from the host's undo history.
virtual void | didAddAudioModificationToAudioSource (ARAAudioSource *audioSource, ARAAudioModification *audioModification)
| Called after an audio modification is added to the audio source.
virtual void | willRemoveAudioModificationFromAudioSource (ARAAudioSource *audioSource, ARAAudioModification *audioModification)
| Called before an audio modification is removed from the audio source.
virtual void | willDestroyAudioSource (ARAAudioSource *audioSource)
| Called before the audio source is destroyed.

## Detailed Description

A base class for listeners that want to know about changes to an ARAAudioSource object.

Use ARAAudioSource::addListener() to register your listener with an ARAAudioSource.

## Constructor & Destructor Documentation

## ◆ ~ARAAudioSourceListener()

virtual ARAAudioSourceListener::~ARAAudioSourceListener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ willUpdateAudioSourceProperties()

virtual void ARAAudioSourceListener::willUpdateAudioSourceProperties | ( | ARAAudioSource * | audioSource,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARAAudioSourceProperties > | newProperties
| ) |  |
| virtual

Called before the audio source's properties are updated.

Parameters

  audioSource | The audio source whose properties will be updated.
  newProperties | The audio source properties that will be assigned to `audioSource`.

Reimplemented in ARAAudioSourceReader.

## ◆ didUpdateAudioSourceProperties()

virtual void ARAAudioSourceListener::didUpdateAudioSourceProperties | ( | ARAAudioSource * | audioSource | ) |
| virtual

Called after the audio source's properties are updated.

Parameters

  audioSource | The audio source whose properties were updated.

## ◆ doUpdateAudioSourceContent()

virtual void ARAAudioSourceListener::doUpdateAudioSourceContent | ( | ARAAudioSource * | audioSource,
|  | ARAContentUpdateScopes | scopeFlags
| ) |  |
| virtual

Called when the audio source's content (i.e.

samples or notes) changes.

Parameters

  audioSource | The audio source with updated content.
  scopeFlags | The scope of the content update.

Reimplemented in ARAAudioSourceReader.

## ◆ didUpdateAudioSourceAnalysisProgress()

virtual void ARAAudioSourceListener::didUpdateAudioSourceAnalysisProgress | ( | ARAAudioSource * | audioSource,
|  | ARA::ARAAnalysisProgressState | state,
|  | float | progress
| ) |  |
| virtual

Called to notify progress when an audio source is being analyzed.

Parameters

  audioSource | The audio source being analyzed.
  state | Indicates start, intermediate update or completion of the analysis.
  progress | Progress normalized to the 0..1 range.

## ◆ willEnableAudioSourceSamplesAccess()

virtual void ARAAudioSourceListener::willEnableAudioSourceSamplesAccess | ( | ARAAudioSource * | audioSource,
|  | bool | enable
| ) |  |
| virtual

Called before access to an audio source's samples is enabled or disabled.

Parameters

  audioSource | The audio source whose sample access state will be changed.
  enable | A bool indicating whether or not sample access will be enabled or disabled.

Reimplemented in ARAAudioSourceReader.

## ◆ didEnableAudioSourceSamplesAccess()

virtual void ARAAudioSourceListener::didEnableAudioSourceSamplesAccess | ( | ARAAudioSource * | audioSource,
|  | bool | enable
| ) |  |
| virtual

Called after access to an audio source's samples is enabled or disabled.

Parameters

  audioSource | The audio source whose sample access state was changed.
  enable | A bool indicating whether or not sample access was enabled or disabled.

Reimplemented in ARAAudioSourceReader.

## ◆ willDeactivateAudioSourceForUndoHistory()

virtual void ARAAudioSourceListener::willDeactivateAudioSourceForUndoHistory | ( | ARAAudioSource * | audioSource,
|  | bool | deactivate
| ) |  |
| virtual

Called before an audio source is activated or deactivated when being removed / added from the host's undo history.

Parameters

  audioSource | The audio source that will be activated or deactivated
  deactivate | A bool indicating whether `audioSource` was deactivated or activated.

## ◆ didDeactivateAudioSourceForUndoHistory()

virtual void ARAAudioSourceListener::didDeactivateAudioSourceForUndoHistory | ( | ARAAudioSource * | audioSource,
|  | bool | deactivate
| ) |  |
| virtual

Called after an audio source is activated or deactivated when being removed / added from the host's undo history.

Parameters

  audioSource | The audio source that was activated or deactivated
  deactivate | A bool indicating whether `audioSource` was deactivated or activated.

## ◆ didAddAudioModificationToAudioSource()

virtual void ARAAudioSourceListener::didAddAudioModificationToAudioSource | ( | ARAAudioSource * | audioSource,
|  | ARAAudioModification * | audioModification
| ) |  |
| virtual

Called after an audio modification is added to the audio source.

Parameters

  audioSource | The region sequence that `audioModification` was added to.
  audioModification | The playback region that was added to `audioSource`.

## ◆ willRemoveAudioModificationFromAudioSource()

virtual void ARAAudioSourceListener::willRemoveAudioModificationFromAudioSource | ( | ARAAudioSource * | audioSource,
|  | ARAAudioModification * | audioModification
| ) |  |
| virtual

Called before an audio modification is removed from the audio source.

Parameters

  audioSource | The audio source that `audioModification` will be removed from.
  audioModification | The audio modification that will be removed from `audioSource`.

## ◆ willDestroyAudioSource()

virtual void ARAAudioSourceListener::willDestroyAudioSource | ( | ARAAudioSource * | audioSource | ) |
| virtual

Called before the audio source is destroyed.

Parameters

  audioSource | The audio source that will be destroyed.

Reimplemented in ARAAudioSourceReader.

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h